<html>
<head>
<title>OGRE: Ogre::MovableObjectFactory Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1MovableObjectFactory.html">MovableObjectFactory</a></div>
<h1>Ogre::MovableObjectFactory Class Reference</h1><!-- doxytag: class="Ogre::MovableObjectFactory" -->Interface definition for a factory class which produces a certain kind of <a class="el" href="classOgre_1_1MovableObject.html" title="Abstract class definining a movable object in a scene.">MovableObject</a>, and can be registered with <a class="el" href="classOgre_1_1Root.html" title="The root class of the Ogre system.">Root</a> in order to allow all clients to produce new instances of this object, integrated with the standard <a class="el" href="namespaceOgre.html">Ogre</a> processing.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreMovableObject_8h-source.html">OgreMovableObject.h</a>&gt;</code>
<p>
<div class="dynheader">
Inheritance diagram for Ogre::MovableObjectFactory:</div>
<div class="dynsection">
<center><font size="2">[<a href="graph_legend.html">legend</a>]</font></center></div>

<p>
<a href="classOgre_1_1MovableObjectFactory-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MovableObjectFactory.html#20ebc986aa86806dc61a95e86312500f">MovableObjectFactory</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MovableObjectFactory.html#102fc90d87f01bbd0680ccb58a2d5050">~MovableObjectFactory</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MovableObjectFactory.html#0b45580fccdefe99312afa67265264fc">getType</a> (void) const =0</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get the type of the object to be created.  <a href="#0b45580fccdefe99312afa67265264fc"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual <a class="el" href="classOgre_1_1MovableObject.html">MovableObject</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MovableObjectFactory.html#7164ba391aead569e43e5713c7281d7b">createInstance</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name, <a class="el" href="classOgre_1_1SceneManager.html">SceneManager</a> *manager, const <a class="el" href="namespaceOgre.html#0537f38d7a77fcbe9f600f6ed8a926d6">NameValuePairList</a> *params=0)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Create a new instance of the object.  <a href="#7164ba391aead569e43e5713c7281d7b"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MovableObjectFactory.html#ae1cdb0b70854af1c84e23d5b45dfb30">destroyInstance</a> (<a class="el" href="classOgre_1_1MovableObject.html">MovableObject</a> *obj)=0</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Destroy an instance of the object.  <a href="#ae1cdb0b70854af1c84e23d5b45dfb30"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MovableObjectFactory.html#80346bc406655855ec5e0eef198900f2">requestTypeFlags</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Does this factory require the allocation of a 'type flag', used to selectively include / exclude this type from scene queries?  <a href="#80346bc406655855ec5e0eef198900f2"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MovableObjectFactory.html#fe63ec95c506e97e9abca23b7fd1a537">_notifyTypeFlags</a> (unsigned long flag)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Notify this factory of the type mask to apply.  <a href="#fe63ec95c506e97e9abca23b7fd1a537"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">unsigned long&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MovableObjectFactory.html#1455bd73f066543e13ebe5ffc3153f62">getTypeFlags</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Gets the type flag for this factory.  <a href="#1455bd73f066543e13ebe5ffc3153f62"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Protected Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual <a class="el" href="classOgre_1_1MovableObject.html">MovableObject</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MovableObjectFactory.html#d42862ff29a901487569f425ebcaffc0">createInstanceImpl</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name, const <a class="el" href="namespaceOgre.html#0537f38d7a77fcbe9f600f6ed8a926d6">NameValuePairList</a> *params=0)=0</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Internal implementation of create method - must be overridden.  <a href="#d42862ff29a901487569f425ebcaffc0"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">unsigned long&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MovableObjectFactory.html#d35a2db6426d02a75b85f133a26d5387">mTypeFlag</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Type flag, allocated if requested.  <a href="#d35a2db6426d02a75b85f133a26d5387"></a><br></td></tr>
</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Interface definition for a factory class which produces a certain kind of <a class="el" href="classOgre_1_1MovableObject.html" title="Abstract class definining a movable object in a scene.">MovableObject</a>, and can be registered with <a class="el" href="classOgre_1_1Root.html" title="The root class of the Ogre system.">Root</a> in order to allow all clients to produce new instances of this object, integrated with the standard <a class="el" href="namespaceOgre.html">Ogre</a> processing. 
<p>Definition at line <a class="el" href="OgreMovableObject_8h-source.html#l00468">468</a> of file <a class="el" href="OgreMovableObject_8h-source.html">OgreMovableObject.h</a>.</p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="20ebc986aa86806dc61a95e86312500f"></a><!-- doxytag: member="Ogre::MovableObjectFactory::MovableObjectFactory" ref="20ebc986aa86806dc61a95e86312500f" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::MovableObjectFactory::MovableObjectFactory           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreMovableObject_8h-source.html#l00478">478</a> of file <a class="el" href="OgreMovableObject_8h-source.html">OgreMovableObject.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="102fc90d87f01bbd0680ccb58a2d5050"></a><!-- doxytag: member="Ogre::MovableObjectFactory::~MovableObjectFactory" ref="102fc90d87f01bbd0680ccb58a2d5050" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual Ogre::MovableObjectFactory::~MovableObjectFactory           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreMovableObject_8h-source.html#l00479">479</a> of file <a class="el" href="OgreMovableObject_8h-source.html">OgreMovableObject.h</a>.</p>

</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="d42862ff29a901487569f425ebcaffc0"></a><!-- doxytag: member="Ogre::MovableObjectFactory::createInstanceImpl" ref="d42862ff29a901487569f425ebcaffc0" args="(const String &amp;name, const NameValuePairList *params=0)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1MovableObject.html">MovableObject</a>* Ogre::MovableObjectFactory::createInstanceImpl           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#0537f38d7a77fcbe9f600f6ed8a926d6">NameValuePairList</a> *&nbsp;</td>
          <td class="paramname"> <em>params</em> = <code>0</code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [protected, pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Internal implementation of create method - must be overridden. 
<p>

<p>Implemented in <a class="el" href="classOgre_1_1BillboardChainFactory.html#7d240aa0f201d72c5998cafb0092b4ef">Ogre::BillboardChainFactory</a>, <a class="el" href="classOgre_1_1BillboardSetFactory.html#cf1ce176730c2b3e60ce6393284b0623">Ogre::BillboardSetFactory</a>, <a class="el" href="classOgre_1_1EntityFactory.html#de100fd3b410a854d0b0327c78242f5b">Ogre::EntityFactory</a>, <a class="el" href="classOgre_1_1LightFactory.html#0169e1290d83029c6f10466cfa278459">Ogre::LightFactory</a>, <a class="el" href="classOgre_1_1ManualObjectFactory.html#03b92eac898b8380d5ea411c1d6a7f60">Ogre::ManualObjectFactory</a>, <a class="el" href="classOgre_1_1ParticleSystemFactory.html#bc138ad5b9aee3a52aeb83648f62202a">Ogre::ParticleSystemFactory</a>, and <a class="el" href="classOgre_1_1RibbonTrailFactory.html#f1377c763af01735d8df988870353969">Ogre::RibbonTrailFactory</a>.</p>

</div>
</div><p>
<a class="anchor" name="0b45580fccdefe99312afa67265264fc"></a><!-- doxytag: member="Ogre::MovableObjectFactory::getType" ref="0b45580fccdefe99312afa67265264fc" args="(void) const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; Ogre::MovableObjectFactory::getType           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Get the type of the object to be created. 
<p>

<p>Implemented in <a class="el" href="classOgre_1_1BillboardChainFactory.html#024b3bb985bb96e078e8ecaa50f97471">Ogre::BillboardChainFactory</a>, <a class="el" href="classOgre_1_1BillboardSetFactory.html#87bdf3302160d4b81da5358445b93e19">Ogre::BillboardSetFactory</a>, <a class="el" href="classOgre_1_1EntityFactory.html#a34e24618322ca2a032f402f14e32ff8">Ogre::EntityFactory</a>, <a class="el" href="classOgre_1_1LightFactory.html#2e1493d053ac8e8bde64d59358e5cded">Ogre::LightFactory</a>, <a class="el" href="classOgre_1_1ManualObjectFactory.html#0a97ac9f90a08a79b411bb6577ce3ac4">Ogre::ManualObjectFactory</a>, <a class="el" href="classOgre_1_1ParticleSystemFactory.html#c2c3d845bf02059a1fbf31c3aab7fda7">Ogre::ParticleSystemFactory</a>, and <a class="el" href="classOgre_1_1RibbonTrailFactory.html#4ab3973b4031bb2fea6d833d7d924281">Ogre::RibbonTrailFactory</a>.</p>

</div>
</div><p>
<a class="anchor" name="7164ba391aead569e43e5713c7281d7b"></a><!-- doxytag: member="Ogre::MovableObjectFactory::createInstance" ref="7164ba391aead569e43e5713c7281d7b" args="(const String &amp;name, SceneManager *manager, const NameValuePairList *params=0)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1MovableObject.html">MovableObject</a>* Ogre::MovableObjectFactory::createInstance           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1SceneManager.html">SceneManager</a> *&nbsp;</td>
          <td class="paramname"> <em>manager</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#0537f38d7a77fcbe9f600f6ed8a926d6">NameValuePairList</a> *&nbsp;</td>
          <td class="paramname"> <em>params</em> = <code>0</code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Create a new instance of the object. 
<p>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>name</em>&nbsp;</td><td>The name of the new object </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>manager</em>&nbsp;</td><td>The <a class="el" href="classOgre_1_1SceneManager.html" title="Manages the organisation and rendering of a &#39;scene&#39; i.e.">SceneManager</a> instance that will be holding the instance once created. </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>params</em>&nbsp;</td><td>Name/value pair list of additional parameters required to construct the object (defined per subtype). Optional. </td></tr>
  </table>
</dl>

</div>
</div><p>
<a class="anchor" name="ae1cdb0b70854af1c84e23d5b45dfb30"></a><!-- doxytag: member="Ogre::MovableObjectFactory::destroyInstance" ref="ae1cdb0b70854af1c84e23d5b45dfb30" args="(MovableObject *obj)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::MovableObjectFactory::destroyInstance           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1MovableObject.html">MovableObject</a> *&nbsp;</td>
          <td class="paramname"> <em>obj</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Destroy an instance of the object. 
<p>

<p>Implemented in <a class="el" href="classOgre_1_1BillboardChainFactory.html#9057100cd94978807e668a68e1839c97">Ogre::BillboardChainFactory</a>, <a class="el" href="classOgre_1_1BillboardSetFactory.html#1d9a309182513810d2bd2ae98cc6e5be">Ogre::BillboardSetFactory</a>, <a class="el" href="classOgre_1_1EntityFactory.html#c08df5e5199b95ffbe48d4b425919500">Ogre::EntityFactory</a>, <a class="el" href="classOgre_1_1LightFactory.html#b128c82ed2e160d4c870baca1c041add">Ogre::LightFactory</a>, <a class="el" href="classOgre_1_1ManualObjectFactory.html#bcaadec45f403cb7d358fdb9e519de25">Ogre::ManualObjectFactory</a>, <a class="el" href="classOgre_1_1ParticleSystemFactory.html#8ac53881aac2f64f6180cf0608919457">Ogre::ParticleSystemFactory</a>, and <a class="el" href="classOgre_1_1RibbonTrailFactory.html#99f934caf81126b1e149544416d5a9c4">Ogre::RibbonTrailFactory</a>.</p>

</div>
</div><p>
<a class="anchor" name="80346bc406655855ec5e0eef198900f2"></a><!-- doxytag: member="Ogre::MovableObjectFactory::requestTypeFlags" ref="80346bc406655855ec5e0eef198900f2" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool Ogre::MovableObjectFactory::requestTypeFlags           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Does this factory require the allocation of a 'type flag', used to selectively include / exclude this type from scene queries? 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>The default implementation here is to return 'false', ie not to request a unique type mask from <a class="el" href="classOgre_1_1Root.html" title="The root class of the Ogre system.">Root</a>. For objects that never need to be excluded in <a class="el" href="classOgre_1_1SceneQuery.html" title="A class for performing queries on a scene.">SceneQuery</a> results, that's fine, since the default implementation of <a class="el" href="classOgre_1_1MovableObject.html#32c637889b8a4138d2008aece76f42b6" title="Get the &#39;type flags&#39; for this MovableObject.">MovableObject::getTypeFlags</a> is to return all ones, hence matching any query type mask. However, if you want the objects created by this factory to be filterable by queries using a broad type, you have to give them a (preferably unique) type mask - and given that you don't know what other <a class="el" href="classOgre_1_1MovableObject.html" title="Abstract class definining a movable object in a scene.">MovableObject</a> types are registered, <a class="el" href="classOgre_1_1Root.html" title="The root class of the Ogre system.">Root</a> will allocate you one. </dd></dl>

<p>Definition at line <a class="el" href="OgreMovableObject_8h-source.html#l00509">509</a> of file <a class="el" href="OgreMovableObject_8h-source.html">OgreMovableObject.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="fe63ec95c506e97e9abca23b7fd1a537"></a><!-- doxytag: member="Ogre::MovableObjectFactory::_notifyTypeFlags" ref="fe63ec95c506e97e9abca23b7fd1a537" args="(unsigned long flag)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::MovableObjectFactory::_notifyTypeFlags           </td>
          <td>(</td>
          <td class="paramtype">unsigned long&nbsp;</td>
          <td class="paramname"> <em>flag</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Notify this factory of the type mask to apply. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>This should normally only be called by <a class="el" href="classOgre_1_1Root.html" title="The root class of the Ogre system.">Root</a> in response to a 'true' result from requestTypeMask. However, you can actually use it yourself if you're careful; for example to assign the same mask to a number of different types of object, should you always wish them to be treated the same in queries. </dd></dl>

<p>Definition at line <a class="el" href="OgreMovableObject_8h-source.html#l00518">518</a> of file <a class="el" href="OgreMovableObject_8h-source.html">OgreMovableObject.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="1455bd73f066543e13ebe5ffc3153f62"></a><!-- doxytag: member="Ogre::MovableObjectFactory::getTypeFlags" ref="1455bd73f066543e13ebe5ffc3153f62" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned long Ogre::MovableObjectFactory::getTypeFlags           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Gets the type flag for this factory. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>A type flag is like a query flag, except that it applies to all instances of a certain type of object. </dd></dl>

<p>Definition at line <a class="el" href="OgreMovableObject_8h-source.html#l00525">525</a> of file <a class="el" href="OgreMovableObject_8h-source.html">OgreMovableObject.h</a>.</p>

</div>
</div><p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="d35a2db6426d02a75b85f133a26d5387"></a><!-- doxytag: member="Ogre::MovableObjectFactory::mTypeFlag" ref="d35a2db6426d02a75b85f133a26d5387" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned long <a class="el" href="classOgre_1_1MovableObjectFactory.html#d35a2db6426d02a75b85f133a26d5387">Ogre::MovableObjectFactory::mTypeFlag</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Type flag, allocated if requested. 
<p>

<p>Definition at line <a class="el" href="OgreMovableObject_8h-source.html#l00472">472</a> of file <a class="el" href="OgreMovableObject_8h-source.html">OgreMovableObject.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreMovableObject_8h-source.html">OgreMovableObject.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:50:54 2008
</p>
</body>
</html>
